// JavaScript Document
function select_country(val){
	if(val=="1"){
		document.getElementById("isp_none").style.display="none";
		document.getElementById("isp_us").style.display="inline";
		document.getElementById("isp_ca").style.display="none";
		
		document.getElementById("none_cards").style.display="inline";
		document.getElementById("us_cards").style.display="none";
		document.getElementById("ca_cards").style.display="none";
		document.getElementById("all_cards").style.display="none";
			
			clear_wan();
	}
	if(val=="2"){
		document.getElementById("isp_none").style.display="none";
		document.getElementById("isp_us").style.display="none";
		document.getElementById("isp_ca").style.display="inline";
		
		document.getElementById("none_cards").style.display="inline";
		document.getElementById("us_cards").style.display="none";
		document.getElementById("ca_cards").style.display="none";
		document.getElementById("all_cards").style.display="none";
	}
	if(val=="9"){
		document.getElementById("isp_none").style.display="inline";
		document.getElementById("isp_us").style.display="none";
		document.getElementById("isp_ca").style.display="none";	
		
		document.getElementById("none_cards").style.display="inline";
		document.getElementById("us_cards").style.display="none";
		document.getElementById("ca_cards").style.display="none";
		document.getElementById("all_cards").style.display="none";
		
			clear_wan();
	}
}
function select_isp(val){
	if(val=="1"){
		document.getElementById("none_cards").style.display="none";
		document.getElementById("us_cards").style.display="inline";
		document.getElementById("ca_cards").style.display="none";
		document.getElementById("all_cards").style.display="none";
		att_wan();
	}
	if(val=="2"){
		document.getElementById("none_cards").style.display="none";
		document.getElementById("us_cards").style.display="none";
		document.getElementById("ca_cards").style.display="inline";
		document.getElementById("all_cards").style.display="none";
		rogers_wan();
	}
	if(val=="9"){
		document.getElementById("none_cards").style.display="none";
		document.getElementById("us_cards").style.display="none";
		document.getElementById("ca_cards").style.display="none";
		document.getElementById("all_cards").style.display="inline";	
	}
}
function clear_wan(){
	document.getElementById("wwan_name").value="";
	document.getElementById("wwan_pass").value="";
	document.getElementById("wwan_pass_v").value="";
	document.getElementById("wwan_server").value="";
	document.getElementById("wwan_dial").value="";
	document.getElementById("wwan_ap").value="";
}
function att_wan(){
	document.getElementById("wwan_dial").value="*99***1#";
	document.getElementById("wwan_ap").value="isp.cingular";
}
function rogers_wan(){
	document.getElementById("wwan_name").value="wapuser1";
	document.getElementById("wwan_pass").value="pass";
	document.getElementById("wwan_pass_v").value="pass";
	document.getElementById("wwan_ap").value="internet.com";
}
function super_g_mode(val){
	if(val=="2"){
		document.getElementById("auto").disabled=true;	
		document.getElementById("channel").style.display="none";	
		document.getElementById("channel_6").style.display="inline";	
	}
	else{
		document.getElementById("auto").disabled=false;	
		disable_channel()	
		document.getElementById("channel").style.display="inline";	
		document.getElementById("channel_6").style.display="none";		
	}
}
function wep_ecryption(val){
	if(val=="2"){
		document.getElementById("wep_encryption_64bit").style.display="none";
		document.getElementById("wep_encryption_128bit").style.display="none";
		alert('blah')
	}
	if(val=="1"){
		document.getElementById("wep_encryption_64bit").style.display="none";
		document.getElementById("wep_encryption_128bit").style.display="none";
	}
}
function psk_eap(val){
	if(val=="1"){
		document.getElementById("show_wpa_psk").style.display="none";
		document.getElementById("show_wpa_eap").style.display="block";
	}
	else if(val=="0"){
		document.getElementById("show_wpa_psk").style.display="block";
		document.getElementById("show_wpa_eap").style.display="none";
	}
}



































